为了账号安全,请及时绑定邮箱和手机立即绑定

PHP端如何做好API版本的控制?

/ 猿问

PHP端如何做好API版本的控制?

慕码人2483693 2018-07-27 00:12:03

PHP端如何做好API版本的控制?简单的说就是 1.0 和 2.0 ... 怎么更好的处理

查看完整描述

3 回答

?
慕的地8271018

请参考apigility

查看完整回答
反对 回复 2018-07-29
?
隔江千里
$router = [    
    'v1' => 'api_v1_controller',    
    'v2' => 'api_v2_controller',
    ...
];

class api_v2_controller extends api_v1_controller

调用的时候

/v1/login
/v2/getUserInfo


查看完整回答
反对 回复 2018-07-29
?
慕婉清6462132

目前用的TP框架,使用了二级控制器做版本管理,不知道你们都是怎么做处理的

查看完整回答
反对 回复 2018-07-29

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信